import { CalendarEvent, type CalendarInnerProps, type CalendarShortcut } from './props';
import type { CalendarDate } from './types';
declare const useCalendarData: (props: CalendarInnerProps, emit: (event: (typeof CalendarEvent)[keyof typeof CalendarEvent], ...args: any[]) => void) => {
    activeDate: import("vue").WritableComputedRef<CalendarDate, CalendarDate>;
    mode: import("vue").WritableComputedRef<import("./props").CalendarMode, import("./props").CalendarMode>;
    displayAnchorDate: import("vue").Ref<{
        year: number;
        month: number;
        date: number;
    }, CalendarDate | {
        year: number;
        month: number;
        date: number;
    }>;
    displayCalendar: import("vue").ComputedRef<CalendarDate[]>;
    today: CalendarDate;
    startDay: import("vue").Ref<globalThis.Day, globalThis.Day>;
    handleShortcutClick: (time: CalendarShortcut['time']) => void;
    handleCellClick: (cellDate: CalendarDate) => void;
};
export default useCalendarData;
